# input

A dictionary representing the request that is passed to an integration.

| Property | Description                                                                                                                                                                                                               |
| -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| payload  | Dictionary of payload values passed in the body of the request                                                                                                                                                            |
| method   | The HTTP method used to call the integration (e.g. `POST`, `GET`, etc.)                                                                                                                                                   |
| params   | Dictionary of query parameters present on the request                                                                                                                                                                     |
| path     | <p>Dictionary of path parameters present on the request<br><br>Note: Path parameters are defined in an integration's <a href="/pages/nlsi1LfqHdQycEHctoYJ">web service endpoint(s)</a></p>                                |
| fullpath | Full path of the integration's execution URL, regardless of whether it or a web service endpoint was used to call the integration                                                                                         |
| headers  | Dictionary of headers present on the request                                                                                                                                                                              |
| files    | Dictionary of files present on a `multipart`request. Key is the name of the file, value is a handle to the [GlyueFile](/reference/special_functions/open_glyuefile.md) that represents the file with Integration Gateway. |
| user     | Object containing the `id`, `username`, and `email`of the user who called the integration                                                                                                                                 |

Common usage is:

```
# Retrieve value from payload
input.payload.some_value

# Check method on request
if (input.method == "POST"):
    # Do something
    
# Retrieve customer ID from path params
cust_id = input.params["cust_id"]
```

`input` can be referenced in any formula block / lifecycle hook, including the `value` column of a field mapping.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/reference/special_variables/input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
